%define Name jade
%define Version 1.2.1
%define BuildStatically yes

Name        	: %{Name}
Version     	: %{Version}
Release     	: 6
Group       	: Textprocessing/Tools

Summary     	: James Clark's SGML and DSSSL engine.

Copyright   	: Distributable
Packager    	: Eric Bischoff <eric@caldera.de>, Mark Galassi <rosalia@galassi.org>
URL         	: http://www.jclark.com/%{Name}-%{Version}/


BuildRoot   	: /tmp/%{Name}-%{Version}

Source0		: ftp://ftp.jclark.com/pub/%{Name}-%{Version}/%{Name}-%{Version}.tar.gz


%Description
Jade is a collection of utilities to parse, check and convert SGML documents
(for example DocBook ones). It includes backends to the following formats :
RTF, TeX, MIF, XML FOT, and other SGML document types, including HTML.
The exact output is controlled by DSSSL style sheets.


%Prep
%setup -q


%Build
if [ "%{BuildStatically}" = "yes" ] 
then
  disable_shared=--disable-shared
  all_static="LDFLAGS=-all-static"
fi
./configure \
 --prefix=/usr \
 --enable-http \
 $disable_shared \
 --enable-mif \
 --enable-default-catalog=/usr/share/sgml/%{Name}-%{Version}/catalog \
 --enable-default-search-path=/usr/share/sgml
make $all_static


%Install
DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR/usr/bin
mkdir -p $DESTDIR/usr/lib
mkdir -p $DESTDIR/usr/include/sp/generic
mkdir -p $DESTDIR/usr/include/sp/include
mkdir -p $DESTDIR/usr/include/sp/lib
mkdir -p $DESTDIR/usr/share/sgml/%{Name}-%{Version}
make install prefix=$DESTDIR/usr
mv $DESTDIR/usr/bin/sx $DESTDIR/usr/bin/sgml2xml
strip $DESTDIR/usr/bin/*
install generic/*.h $DESTDIR/usr/include/sp/generic/
install include/*.h $DESTDIR/usr/include/sp/include/
install lib/*.h $DESTDIR/usr/include/sp/lib/
install dsssl/catalog $DESTDIR/usr/share/sgml/%{Name}-%{Version}/
install dsssl/dsssl.dtd $DESTDIR/usr/share/sgml/%{Name}-%{Version}/
install dsssl/style-sheet.dtd $DESTDIR/usr/share/sgml/%{Name}-%{Version}/
install dsssl/fot.dtd $DESTDIR/usr/share/sgml/%{Name}-%{Version}/


%Clean
DESTDIR=$RPM_BUILD_ROOT
rm -rf $DESTDIR


%Files
%defattr (-,root,root)
%doc doc/ jadedoc/ README COPYING VERSION
/usr/bin/jade
/usr/bin/nsgmls
/usr/bin/sgmlnorm
/usr/bin/spam
/usr/bin/spent
/usr/bin/sgml2xml
/usr/lib/libgrove.*
/usr/lib/libsp.*
/usr/lib/libspgrove.*
/usr/lib/libstyle.*
/usr/include/sp/generic/*
/usr/include/sp/include/*
/usr/include/sp/lib/*
/usr/share/sgml/%{Name}-%{Version}/*
